curl
curl https://robodialer-service-api-9nc4t1p9.uc.gateway.dev/v1/auth \
-H 'Robodialer-API-Key: <your-api-key>' \
-H 'Robodialer-API-Secret: <your-api-secret>'import requests
r = requests.get(
'https://robodialer-service-api-9nc4t1p9.uc.gateway.dev/v1/auth',
headers={
'Robodialer-API-Key': '<your-api-key>',
'Robodialer-API-Secret': '<your-api-secret>',
},
)
r.raise_for_status()
token = r.json()['token']const r = await fetch(
'https://robodialer-service-api-9nc4t1p9.uc.gateway.dev/v1/auth',
{
headers: {
'Robodialer-API-Key': '<your-api-key>',
'Robodialer-API-Secret': '<your-api-secret>',
},
},
);
const { token } = await r.json();
{
"token": "eyJhbGciOiJSUzI1NiIs...truncated...signature"
}
Authentication
Authenticate and get token
Returns a short-lived bearer token for use in API calls. The API key and API secret are two distinct values issued together: the key identifies your account, the secret authenticates the request.
GET
/
v1
/
auth
curl
curl https://robodialer-service-api-9nc4t1p9.uc.gateway.dev/v1/auth \
-H 'Robodialer-API-Key: <your-api-key>' \
-H 'Robodialer-API-Secret: <your-api-secret>'import requests
r = requests.get(
'https://robodialer-service-api-9nc4t1p9.uc.gateway.dev/v1/auth',
headers={
'Robodialer-API-Key': '<your-api-key>',
'Robodialer-API-Secret': '<your-api-secret>',
},
)
r.raise_for_status()
token = r.json()['token']const r = await fetch(
'https://robodialer-service-api-9nc4t1p9.uc.gateway.dev/v1/auth',
{
headers: {
'Robodialer-API-Key': '<your-api-key>',
'Robodialer-API-Secret': '<your-api-secret>',
},
},
);
const { token } = await r.json();
{
"token": "eyJhbGciOiJSUzI1NiIs...truncated...signature"
}
Authorizations
Your SuperDial API key
Your SuperDial API secret
Response
Token returned successfully
Response from GET /v1/auth. Contains a short-lived bearer token usable as Authorization: Bearer <token> on subsequent calls.
Short-lived bearer token (1-hour TTL).